<script setup lang="ts">
import { onMounted } from 'vue'
import API from '@/scripts/api'
import { useRoute, useRouter } from 'vue-router'
import { useDataStore } from '@/store/data'

const router = useRouter()
const route = useRoute()
const data = useDataStore()

onMounted(() => {
  if (!route.query.key || !route.query.auth_check) {
    return '/'
  }
  const key = route.query.key as string
  const authCheck = route.query.auth_check as string
  API.tequilaCallback(key, authCheck).then(async () => {
    if (data.isTicketBound) {
      router.push('/votes')
    } else {
      router.push('/tickets/landing')
    }
  }).catch(async () => {
    router.push('/')
  })
})

</script>

<template>
    <div class="flex h-full justify-center items-center">
        <v-progress-circular color="grey" indeterminate :size="128" :width="12"></v-progress-circular>
    </div>
</template>
